Changeset 514 for ThirdParty/Blas


Ignore:
Timestamp:
Aug 15, 2007 6:42:38 PM (12 years ago)
Author:
andreasw
Message:

allow --enable-doscompile on MinGW/MSys

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Blas/branches/BSP/trunk/configure

    r507 r514  
    18041804  if test "$enable_doscompile" != no; then
    18051805     case $build in
    1806        *-cygwin*) ;;
    1807        *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin" >&5
    1808 echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin" >&2;}
     1806       *-cygwin* | *-mingw*) ;;
     1807       *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&5
     1808echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&2;}
    18091809   { (exit 1); exit 1; }; } ;;
    18101810     esac
     
    18141814fi;
    18151815 case "$enable_doscompile" in
    1816    msvc|mingw|no) ;;
     1816   mingw)
     1817     case $build in
     1818       *-mingw*) enable_doscompile=no ;;
     1819     esac
     1820     ;;
     1821   msvc|no) ;;
    18171822   yes) enable_doscompile=mingw ;;
    18181823   *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
     
    32093214
    32103215# Provide some information about the compiler.
    3211 echo "$as_me:3211:" \
     3216echo "$as_me:3216:" \
    32123217     "checking for Fortran 77 compiler version" >&5
    32133218ac_compiler=`set X $ac_compile; echo $2`
     
    53445349*-*-irix6*)
    53455350  # Find out which ABI we are using.
    5346   echo '#line 5346 "configure"' > conftest.$ac_ext
     5351  echo '#line 5351 "configure"' > conftest.$ac_ext
    53475352  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    53485353  (eval $ac_compile) 2>&5
     
    77737778   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    77747779   -e 's:$: $lt_compiler_flag:'`
    7775    (eval echo "\"\$as_me:7775: $lt_compile\"" >&5)
     7780   (eval echo "\"\$as_me:7780: $lt_compile\"" >&5)
    77767781   (eval "$lt_compile" 2>conftest.err)
    77777782   ac_status=$?
    77787783   cat conftest.err >&5
    7779    echo "$as_me:7779: \$? = $ac_status" >&5
     7784   echo "$as_me:7784: \$? = $ac_status" >&5
    77807785   if (exit $ac_status) && test -s "$ac_outfile"; then
    77817786     # The compiler can only warn and ignore the option if not recognized
     
    80418046   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    80428047   -e 's:$: $lt_compiler_flag:'`
    8043    (eval echo "\"\$as_me:8043: $lt_compile\"" >&5)
     8048   (eval echo "\"\$as_me:8048: $lt_compile\"" >&5)
    80448049   (eval "$lt_compile" 2>conftest.err)
    80458050   ac_status=$?
    80468051   cat conftest.err >&5
    8047    echo "$as_me:8047: \$? = $ac_status" >&5
     8052   echo "$as_me:8052: \$? = $ac_status" >&5
    80488053   if (exit $ac_status) && test -s "$ac_outfile"; then
    80498054     # The compiler can only warn and ignore the option if not recognized
     
    81458150   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    81468151   -e 's:$: $lt_compiler_flag:'`
    8147    (eval echo "\"\$as_me:8147: $lt_compile\"" >&5)
     8152   (eval echo "\"\$as_me:8152: $lt_compile\"" >&5)
    81488153   (eval "$lt_compile" 2>out/conftest.err)
    81498154   ac_status=$?
    81508155   cat out/conftest.err >&5
    8151    echo "$as_me:8151: \$? = $ac_status" >&5
     8156   echo "$as_me:8156: \$? = $ac_status" >&5
    81528157   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    81538158   then
     
    1049010495  lt_status=$lt_dlunknown
    1049110496  cat > conftest.$ac_ext <<EOF
    10492 #line 10492 "configure"
     10497#line 10497 "configure"
    1049310498#include "confdefs.h"
    1049410499
     
    1059010595  lt_status=$lt_dlunknown
    1059110596  cat > conftest.$ac_ext <<EOF
    10592 #line 10592 "configure"
     10597#line 10597 "configure"
    1059310598#include "confdefs.h"
    1059410599
     
    1293412939   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1293512940   -e 's:$: $lt_compiler_flag:'`
    12936    (eval echo "\"\$as_me:12936: $lt_compile\"" >&5)
     12941   (eval echo "\"\$as_me:12941: $lt_compile\"" >&5)
    1293712942   (eval "$lt_compile" 2>conftest.err)
    1293812943   ac_status=$?
    1293912944   cat conftest.err >&5
    12940    echo "$as_me:12940: \$? = $ac_status" >&5
     12945   echo "$as_me:12945: \$? = $ac_status" >&5
    1294112946   if (exit $ac_status) && test -s "$ac_outfile"; then
    1294212947     # The compiler can only warn and ignore the option if not recognized
     
    1303813043   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1303913044   -e 's:$: $lt_compiler_flag:'`
    13040    (eval echo "\"\$as_me:13040: $lt_compile\"" >&5)
     13045   (eval echo "\"\$as_me:13045: $lt_compile\"" >&5)
    1304113046   (eval "$lt_compile" 2>out/conftest.err)
    1304213047   ac_status=$?
    1304313048   cat out/conftest.err >&5
    13044    echo "$as_me:13044: \$? = $ac_status" >&5
     13049   echo "$as_me:13049: \$? = $ac_status" >&5
    1304513050   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1304613051   then
     
    1460814613   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1460914614   -e 's:$: $lt_compiler_flag:'`
    14610    (eval echo "\"\$as_me:14610: $lt_compile\"" >&5)
     14615   (eval echo "\"\$as_me:14615: $lt_compile\"" >&5)
    1461114616   (eval "$lt_compile" 2>conftest.err)
    1461214617   ac_status=$?
    1461314618   cat conftest.err >&5
    14614    echo "$as_me:14614: \$? = $ac_status" >&5
     14619   echo "$as_me:14619: \$? = $ac_status" >&5
    1461514620   if (exit $ac_status) && test -s "$ac_outfile"; then
    1461614621     # The compiler can only warn and ignore the option if not recognized
     
    1471214717   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1471314718   -e 's:$: $lt_compiler_flag:'`
    14714    (eval echo "\"\$as_me:14714: $lt_compile\"" >&5)
     14719   (eval echo "\"\$as_me:14719: $lt_compile\"" >&5)
    1471514720   (eval "$lt_compile" 2>out/conftest.err)
    1471614721   ac_status=$?
    1471714722   cat out/conftest.err >&5
    14718    echo "$as_me:14718: \$? = $ac_status" >&5
     14723   echo "$as_me:14723: \$? = $ac_status" >&5
    1471914724   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1472014725   then
     
    1691916924   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1692016925   -e 's:$: $lt_compiler_flag:'`
    16921    (eval echo "\"\$as_me:16921: $lt_compile\"" >&5)
     16926   (eval echo "\"\$as_me:16926: $lt_compile\"" >&5)
    1692216927   (eval "$lt_compile" 2>conftest.err)
    1692316928   ac_status=$?
    1692416929   cat conftest.err >&5
    16925    echo "$as_me:16925: \$? = $ac_status" >&5
     16930   echo "$as_me:16930: \$? = $ac_status" >&5
    1692616931   if (exit $ac_status) && test -s "$ac_outfile"; then
    1692716932     # The compiler can only warn and ignore the option if not recognized
     
    1718717192   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1718817193   -e 's:$: $lt_compiler_flag:'`
    17189    (eval echo "\"\$as_me:17189: $lt_compile\"" >&5)
     17194   (eval echo "\"\$as_me:17194: $lt_compile\"" >&5)
    1719017195   (eval "$lt_compile" 2>conftest.err)
    1719117196   ac_status=$?
    1719217197   cat conftest.err >&5
    17193    echo "$as_me:17193: \$? = $ac_status" >&5
     17198   echo "$as_me:17198: \$? = $ac_status" >&5
    1719417199   if (exit $ac_status) && test -s "$ac_outfile"; then
    1719517200     # The compiler can only warn and ignore the option if not recognized
     
    1729117296   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1729217297   -e 's:$: $lt_compiler_flag:'`
    17293    (eval echo "\"\$as_me:17293: $lt_compile\"" >&5)
     17298   (eval echo "\"\$as_me:17298: $lt_compile\"" >&5)
    1729417299   (eval "$lt_compile" 2>out/conftest.err)
    1729517300   ac_status=$?
    1729617301   cat out/conftest.err >&5
    17297    echo "$as_me:17297: \$? = $ac_status" >&5
     17302   echo "$as_me:17302: \$? = $ac_status" >&5
    1729817303   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1729917304   then
     
    2021920224ac_save_FFLAGS=$FFLAGS
    2022020225FFLAGS="$FFLAGS $ac_verb"
    20221 (eval echo $as_me:20221: \"$ac_link\") >&5
     20226(eval echo $as_me:20226: \"$ac_link\") >&5
    2022220227ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    2022320228echo "$ac_f77_v_output" >&5
     
    2029720302ac_save_FFLAGS=$FFLAGS
    2029820303FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    20299 (eval echo $as_me:20299: \"$ac_link\") >&5
     20304(eval echo $as_me:20304: \"$ac_link\") >&5
    2030020305ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    2030120306echo "$ac_f77_v_output" >&5
Note: See TracChangeset for help on using the changeset viewer.